<script context="module">
	// Get all posts of markdown type
	const mdPosts = import.meta.glob('./posts/*.svx');
	let posts = [];

	for (let path in mdPosts) {
		posts.push(
			mdPosts[path]().then(({ metadata }) => {
				return { path, metadata };
			})
		);
	}

	export const load = async () => {
		const allPosts = await Promise.all(posts);

		return {
			props: {
				allPosts
			}
		};
	};
</script>

<script>
	import { onMount } from 'svelte';

	onMount(() => {
		window.scrollTo(0, 0);
	});
	export let allPosts;
	// Sort the posts based on when they were created
	export let sortedPosts = allPosts.sort((a, b) => {
		return a.metadata.date > b.metadata.date
			? 1
			: a.metadata.date < b.metadata.date
			? -1
			: 0;
	});

	// Get the Another Tag posts
	export const Tag = sortedPosts.filter((post) => {
		return post.metadata.tag === 'Tag';
	});
</script>


<header class="container mx-auto mt-12 text-pink-800 text-center">
    <h1 class="text-5xl"> BPTA </h1>
    <h2 class="text-2xl">বঙ্গীয় প্রাথমিক শিক্ষক সমিতি</h2>
    <p class="text-lg text-justify py-3 text-gray-800"> এখানে সমিতির সংক্ষিপ্ত পরিচয় থাকবে । সমিতির লক্ষ্য ও উদ্দেশ্য এবং কাজকর্মের একটা ধারণা যেন পায় । তবে দু তিনটি বাক্যের বেশি যেন না হয় ।</p>
    <a href="./posts/about">
		    <h1 class="mt-3 rounded text-center border-2 border-pink-800 shadow-lg text-xl text-gray-900 py-3">আলাপ পরিচয় করুন</h1>
    </a>
</header>


<section class="container grid grid-cols-1 md:grid-cols-2 gap-12  mx-auto pt-12">
    {#each allPosts as post}
    <a href={post.path.replace('.svx', '')}>

       <h2 class="text-xl text-center text-pink-800 ml-48 border-b-2 border-pink-800"> {post.metadata.category} </h2>

       <h2 class="text-xl border-l-4 pl-2 my-3 border-pink-800 text-pink-800"> {post.metadata.title} </h2>

	      <p class="text-justify text-lg text-gray-900"> {post.metadata.intro} </p>
	      
       <h1 class="mt-3 rounded-full text-center border-2 border-pink-800  shadow-md text-xl  py-3">আরও পড়ুন</h1>
       
    </a>
    {/each}
</section>


